Previous Next Table of Contents

## 3. Options

filename

  The name of the file to be displayed. The file ending ".ps" may be omitted. "filename" may point to a compressed file (gzipped, zipped or compressed). Viewing PDF files requires at least ghostscript version 4.x.

-ad <resource file>

  Read and use additional resources from the file <resource file>. These resources have higher priority than those provided in the context of the -style <resource file> option.

-antialias, -noantialias

  Whether to use antialiasing.

-arguments <arguments>

  Start ghostscript with additional options as specified by the string <arguments>.

-center, -nocenter

  Whether the page should be centered automatically.

-dsc, -nodsc

  Determines if document structuring convention (DSC) comments should be respected or ignored. If -nodsc is used gv will not attempt to examine the structure of the document but will pass the file to the ghostscript interpreter as a whole. In this case no page numbers are shown and freely moving around in the document is not possible. This option may help when viewing files not conforming to the document structuring conventions.

-eof, -noeof

  Defines the behaviour of the postscript scanner used to examine the structure of the document. If -noeof is used the scanner will ignore end of file (EOF) comments. This may help when viewing documents which import other documents without enclosing them within the proper "BeginDocument" and "EndDocument" comments. If -eof is used, the scanner treats an EOF comment as marking the end of the file.

-pixmap, -nopixmap

  If -pixmap is used gv tries to maintain off-screen regions of the displayed page by allocating a sufficiently large pixmap. If -nopixmap is used the X Server is responsible for maintaining obscured portions of the displayed page (see also the "useBackingPixmap" resource).

-v

  Print the version number of gv to standard output and exit.

-h, -?

  Display a short help message and exit.

-help

  Display a more explicit help message and exit.

-scale <n>

  Selects the scale entry <n> relative to the scale 1.0. <n> must be an integer.

-scalebase <n>

  Selects the scale base <n>.

-monochrome, -grayscale, -color

  Sets the color palette to be used.

-media <media>

  Selects the paper size to be used. Valid values are names of paper sizes that appear in the list of page medias as given by the medias resource.

-page <label>

  Display the page with label <label> first.

-portrait, -landscape, -seascape, -upsidedown

  Sets the orientation.

-quiet, -noquiet

  Whether to start ghostscript with the -dQUIET option.

-resize, -noresize

  Whether gv is allowed to automatically fit the size of its window to the size of the displayed page.

-safer, -nosafer

  Whether to start ghostscript with the -dSAFER option.

-spartan

  This is a shortcut for "-style gv_spartan.dat".

-style <resource file>

  Read and use additional resources from the file <resource file>. These resources have lower priority than those provided in the context of the -ad <resource file> option.

-swap, -noswap

  Whether to interchange the meaning of the orientations landscape and seascape.

-watch, -nowatch

  The -watch option causes gv to check the document periodically. If changes are detected gv will automatically display the newer version of the file. The document is by default checked once every second. This can be changed via the watchFileFrequency resource. Note that sending gv the SIGHUP signal also causes an update of the displayed document. This method may be used by document creators to trigger gv remotely.

Previous Next Table of Contents